RubyGems Navigation menu

mkmf-lite 0.2.0

The mkmf-lite library is a light version of the the mkmf library designed for use as a library. It does not create packages, builds, or log files of any kind. Instead, it provides mixin methods that you can use in FFI or tests to check for the presence of header files, constants, and so on.

Gemfile
          gem 'mkmf-lite', '~> 0.2.0'
  
  
  
  
  
  
  

install
          gem install mkmf-lite -v 0.2.0
  
  
  
  
  
  
  

Authors:

  • Daniel J. Berger

Owners:

Total downloads 8,438

For this version 1,874

Show all versions (7 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.2.5 - October 2, 2014 (10 KB)
  2. 0.2.4 - March 7, 2013 (9 KB)
  3. 0.2.3 - April 25, 2012 (8.5 KB)
  4. 0.2.2 - December 6, 2011 (8.5 KB)
  5. 0.2.1 - January 21, 2011 (7.5 KB)
Show all versions (7 total)

Runtime Dependencies:

Development Dependencies: